Activity reports
Retrieve Activity Report
Retrieves activity report information by id.
GET
https://api.folkyn.com
/
api
/
v1
/
activity-reports
/
{id}
Retrieve Activity Report
curl --request GET \
--url https://api.folkyn.com/api/v1/activity-reports/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.folkyn.com/api/v1/activity-reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/activity-reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/activity-reports/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mission": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"currency": "<string>",
"rate_amount": 123,
"purchase_order": "<string>",
"project_code": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"client_rate_amount": 123
},
"external_referent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"company": "<string>",
"siren": "<string>",
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"report_month": "2024-03",
"report_period_time_zone": "Europe/Paris",
"report_period_start": "2024-03-01T00:00:00.000+01:00",
"report_period_end": "2024-03-31T23:59:59.999+02:00",
"submission_date": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"rejection_reason": "<string>",
"freelancer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"external_id": "<string>",
"siren": "<string>",
"referent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
}
},
"invoicing_is_paid": true,
"expenses_is_paid": true,
"invoice_amount_excl_vat": 123,
"expense_amount_excl_vat": 123,
"project_codes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>",
"amount_excl_vat": 123
}
],
"supplementary_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"amount_excl_vat": 123,
"project_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created_at": "2023-11-07T05:31:56Z",
"accounting_entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"timesheets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "hourly",
"description": "<string>",
"date": "2023-12-25",
"hours": 123,
"project_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}⌘I
Retrieve Activity Report
curl --request GET \
--url https://api.folkyn.com/api/v1/activity-reports/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.folkyn.com/api/v1/activity-reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/activity-reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/activity-reports/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mission": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"currency": "<string>",
"rate_amount": 123,
"purchase_order": "<string>",
"project_code": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"client_rate_amount": 123
},
"external_referent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"company": "<string>",
"siren": "<string>",
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"report_month": "2024-03",
"report_period_time_zone": "Europe/Paris",
"report_period_start": "2024-03-01T00:00:00.000+01:00",
"report_period_end": "2024-03-31T23:59:59.999+02:00",
"submission_date": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"rejection_reason": "<string>",
"freelancer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"external_id": "<string>",
"siren": "<string>",
"referent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
}
},
"invoicing_is_paid": true,
"expenses_is_paid": true,
"invoice_amount_excl_vat": 123,
"expense_amount_excl_vat": 123,
"project_codes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>",
"amount_excl_vat": 123
}
],
"supplementary_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"amount_excl_vat": 123,
"project_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created_at": "2023-11-07T05:31:56Z",
"accounting_entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"timesheets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "hourly",
"description": "<string>",
"date": "2023-12-25",
"hours": 123,
"project_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}